## GDataDocumentsDrawing

GDataDocumentsDrawing — GData Documents drawing object

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataDocumentsDrawing * | gdata_documents_drawing_new ()

## Types and Values

#define | GDATA_DOCUMENTS_DRAWING_JPEG
#define | GDATA_DOCUMENTS_DRAWING_PDF
#define | GDATA_DOCUMENTS_DRAWING_PNG
#define | GDATA_DOCUMENTS_DRAWING_SVG
| GDataDocumentsDrawing
| GDataDocumentsDrawingClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataEntry
                ╰── GDataDocumentsEntry
                    ╰── GDataDocumentsDocument
                        ╰── GDataDocumentsDrawing

## Implemented Interfaces

GDataDocumentsDrawing implements GDataAccessHandler.

## Includes

    #include <gdata/services/documents/gdata-documents-drawing.h>

## Description

GDataDocumentsDrawing is a subclass of GDataDocumentsDocument to represent a drawing document from Google Documents.

For more details of Google Drive's GData API, see the

online documentation.

## Functions

### gdata_documents_drawing_new ()

    GDataDocumentsDrawing *
    gdata_documents_drawing_new (const gchar *id);

Creates a new GDataDocumentsDrawing with the given entry ID (“id”).

#### Parameters

id | the entry's ID (not the document ID of the drawing document), or `NULL`. | [allow-none]

#### Returns

a new GDataDocumentsDrawing, or `NULL`; unref with `g_object_unref()`.

[transfer full]

Since: 0.13.1

## Types and Values

### GDATA_DOCUMENTS_DRAWING_JPEG

    #define GDATA_DOCUMENTS_DRAWING_JPEG "jpeg"

The export format for JPEG image format.

For more information, see the

GData protocol specification.

Since: 0.13.1

### GDATA_DOCUMENTS_DRAWING_PDF

    #define GDATA_DOCUMENTS_DRAWING_PDF "pdf"

The export format for Portable Document Format (PDF).

For more information, see the

GData protocol specification.

Since: 0.13.1

### GDATA_DOCUMENTS_DRAWING_PNG

    #define GDATA_DOCUMENTS_DRAWING_PNG "png"

The export format for Portable Network Graphics (PNG) image format.

For more information, see the

GData protocol specification.

Since: 0.13.1

### GDATA_DOCUMENTS_DRAWING_SVG

    #define GDATA_DOCUMENTS_DRAWING_SVG "svg"

The export format for Scalable Vector Graphics (SVG) image format.

For more information, see the

GData protocol specification.

Since: 0.13.1

### GDataDocumentsDrawing

    typedef struct _GDataDocumentsDrawing GDataDocumentsDrawing;

All the fields in the GDataDocumentsDrawing structure are private and should never be accessed directly.

Since: 0.13.1

### GDataDocumentsDrawingClass

    typedef struct {
    } GDataDocumentsDrawingClass;

All the fields in the GDataDocumentsDrawingClass structure are private and should never be accessed directly.

Since: 0.13.1